ChangeSet 1.1074.1.13, 2003/07/09 21:41:09-07:00, stern@rowland.harvard.edu

[PATCH] USB: Final reconciliation for unusual_devs.h in 2.4

This final patch for 2.4 will make unusual_devs.h identical with the
version in 2.5, so from now on new entries can be made to both files in
parallel.  This simply adds in Andries Brouwer's initialization function
and defines it in the source as a dummy do-nothing routine.


 drivers/usb/storage/initializers.h |    9 +++++++--
 drivers/usb/storage/sddr09.c       |    4 ++--
 drivers/usb/storage/unusual_devs.h |    2 +-
 3 files changed, 10 insertions(+), 5 deletions(-)


diff -Nru a/drivers/usb/storage/initializers.h b/drivers/usb/storage/initializers.h
--- a/drivers/usb/storage/initializers.h	Mon Jul 14 10:04:15 2003
+++ b/drivers/usb/storage/initializers.h	Mon Jul 14 10:04:15 2003
@@ -37,13 +37,18 @@
  * 675 Mass Ave, Cambridge, MA 02139, USA.
  */
 
+#include <linux/config.h>
 #include "usb.h"
 
-#define UCR61S2B_INIT "\xec\x0a\x06\x00$PCCHIPS"
-
 /* This places the Shuttle/SCM USB<->SCSI bridge devices in multi-target
  * mode */
 int usb_stor_euscsi_init(struct us_data *us);
+
+#ifdef CONFIG_USB_STORAGE_SDDR09
+int sddr09_init(struct us_data *us);
+#endif
+
+#define UCR61S2B_INIT "\xec\x0a\x06\x00$PCCHIPS"
 
 /* This function is required to activate all four slots on the UCR-61S2B
  * flash reader */
diff -Nru a/drivers/usb/storage/sddr09.c b/drivers/usb/storage/sddr09.c
--- a/drivers/usb/storage/sddr09.c	Mon Jul 14 10:04:15 2003
+++ b/drivers/usb/storage/sddr09.c	Mon Jul 14 10:04:15 2003
@@ -1504,7 +1504,6 @@
 	}
 }
 
-#if 0
 /*
  * It is unclear whether this does anything.
  * However, the request sense succeeds only after a reboot,
@@ -1512,6 +1511,7 @@
  */
 int
 sddr09_init(struct us_data *us) {
+#if 0
 	int result;
 	unsigned char data[2];
 
@@ -1550,9 +1550,9 @@
 		// additional transfer length * = sizeof(data) - 7
 	}
 #endif
+#endif
 	return USB_STOR_TRANSPORT_GOOD;		/* not result */
 }
-#endif
 
 /*
  * Transport for the Sandisk SDDR-09
diff -Nru a/drivers/usb/storage/unusual_devs.h b/drivers/usb/storage/unusual_devs.h
--- a/drivers/usb/storage/unusual_devs.h	Mon Jul 14 10:04:15 2003
+++ b/drivers/usb/storage/unusual_devs.h	Mon Jul 14 10:04:15 2003
@@ -178,7 +178,7 @@
 UNUSUAL_DEV(  0x04e6, 0x0005, 0x0100, 0x0208,
 		"SCM Microsystems",
 		"eUSB SmartMedia / CompactFlash Adapter",
-		US_SC_SCSI, US_PR_DPCM_USB, NULL, 
+		US_SC_SCSI, US_PR_DPCM_USB, sddr09_init, 
 		0), 
 #endif
 
